<?php

/* This file is part of "filebrowser".
 *    Copyright 2009, arNuméral
 *    Author : Yoran Brault
 *    eMail  : yoran.brault@bad_arnumeral.fr (remove bad_ before sending an email)
 *    Site   : http://www.arnumeral.fr
 *
 * "filebrowser" is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * "filebrowser" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with "filebrowser"; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

function filebrowser_admin_settings() {
    $configuration = filebrowser_configuration();
    $form['filebrowser'] = array (
        '#type' => 'fieldset',
        '#tree' => true,
        '#title' => t('filebrowser settings'),
        '#weight' => 0
    );

    $form['filebrowser']['no_node_access'] = array (
        '#type' => 'checkbox',
        '#title' => t('No node access handling'),
        '#default_value' => $configuration['no_node_access']
    );
    return system_settings_form($form);
}